package com.bonus.canteen.core.nutrition.common.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@TableName("health_body_record")
@ApiModel("体征数据记录表 实体类")
public class HealthBodyRecord {
   @TableId("id")
   @ApiModelProperty("主键自增")
   private Long id;
   @TableField("user_id")
   @ApiModelProperty("人员id")
   private Long userId;
   @TableField("height")
   @ApiModelProperty("身高")
   private BigDecimal height;
   @TableField("weight")
   @ApiModelProperty("体重")
   private BigDecimal weight;
   @TableField("bmi")
   @ApiModelProperty("BMI指数")
   private BigDecimal bmi;
   @TableField("shape")
   @ApiModelProperty("体型")
   private String shape;
   @TableField("bust")
   @ApiModelProperty("胸围")
   private BigDecimal bust;
   @TableField("waistline")
   @ApiModelProperty("腰围")
   private BigDecimal waistline;
   @TableField("blood_sugar")
   @ApiModelProperty("血糖")
   private BigDecimal bloodSugar;
   @TableField("blood_fat")
   @ApiModelProperty("血脂")
   private Integer bloodFat;
   @TableField("blood_pressure_high")
   @ApiModelProperty("血压高")
   private BigDecimal bloodPressureHigh;
   @TableField("blood_pressure_low")
   @ApiModelProperty("血压低")
   private BigDecimal bloodPressureLow;
   @TableField("heart_rate")
   @ApiModelProperty("心率")
   private BigDecimal heartRate;
   @TableField("blood_oxygen")
   @ApiModelProperty("血氧")
   private BigDecimal bloodOxygen;
   @TableField("uric_acid")
   @ApiModelProperty("尿酸")
   private Integer uricAcid;
   @TableField("blood_pressure")
   @ApiModelProperty("血压")
   private Integer bloodPressure;
   @TableField("if_latest")
   @ApiModelProperty("是否最新 1-是 2-否")
   private Integer ifLatest;
   @TableField("del_flag")
   @ApiModelProperty("是否删除 0-正常 2-删除")
   private Integer delFlag;
   @TableField("create_by")
   @ApiModelProperty("创建人")
   private String createBy;
   @TableField("create_time")
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @TableField("update_by")
   @ApiModelProperty("更新人")
   private String updateBy;
   @TableField("update_time")
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   @TableField("health_info_source")
   @ApiModelProperty("健康信息录入来源 1-系统录入 2-身高体重秤")
   private Integer healthInfoSource;
   @ApiModelProperty("上传时间")
   @TableField(
      exist = false
   )
   private LocalDateTime registerDate;
   @ApiModelProperty("人员编号")
   @TableField(
      exist = false
   )
   private String custNum;
   @ApiModelProperty("人员姓名")
   @TableField(
      exist = false
   )
   private String custName;
   @ApiModelProperty("手机号")
   @TableField(
      exist = false
   )
   private String mobile;
   @ApiModelProperty("所属组织")
   @TableField(
      exist = false
   )
   private String orgFullName;
   @ApiModelProperty("性别 1-男 2-女")
   @TableField(
      exist = false
   )
   private Integer sex;

   public Long getId() {
      return this.id;
   }

   public Long getUserId() {
      return this.userId;
   }

   public BigDecimal getHeight() {
      return this.height;
   }

   public BigDecimal getWeight() {
      return this.weight;
   }

   public BigDecimal getBmi() {
      return this.bmi;
   }

   public String getShape() {
      return this.shape;
   }

   public BigDecimal getBust() {
      return this.bust;
   }

   public BigDecimal getWaistline() {
      return this.waistline;
   }

   public BigDecimal getBloodSugar() {
      return this.bloodSugar;
   }

   public Integer getBloodFat() {
      return this.bloodFat;
   }

   public BigDecimal getBloodPressureHigh() {
      return this.bloodPressureHigh;
   }

   public BigDecimal getBloodPressureLow() {
      return this.bloodPressureLow;
   }

   public BigDecimal getHeartRate() {
      return this.heartRate;
   }

   public BigDecimal getBloodOxygen() {
      return this.bloodOxygen;
   }

   public Integer getUricAcid() {
      return this.uricAcid;
   }

   public Integer getBloodPressure() {
      return this.bloodPressure;
   }

   public Integer getIfLatest() {
      return this.ifLatest;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public String getCreateBy() {
      return this.createBy;
   }

   public LocalDateTime getCreateTime() {
      return this.createTime;
   }

   public String getUpdateBy() {
      return this.updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return this.updateTime;
   }

   public Integer getHealthInfoSource() {
      return this.healthInfoSource;
   }

   public LocalDateTime getRegisterDate() {
      return this.registerDate;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getSex() {
      return this.sex;
   }

   public HealthBodyRecord setId(final Long id) {
      this.id = id;
      return this;
   }

   public HealthBodyRecord setUserId(final Long userId) {
      this.userId = userId;
      return this;
   }

   public HealthBodyRecord setHeight(final BigDecimal height) {
      this.height = height;
      return this;
   }

   public HealthBodyRecord setWeight(final BigDecimal weight) {
      this.weight = weight;
      return this;
   }

   public HealthBodyRecord setBmi(final BigDecimal bmi) {
      this.bmi = bmi;
      return this;
   }

   public HealthBodyRecord setShape(final String shape) {
      this.shape = shape;
      return this;
   }

   public HealthBodyRecord setBust(final BigDecimal bust) {
      this.bust = bust;
      return this;
   }

   public HealthBodyRecord setWaistline(final BigDecimal waistline) {
      this.waistline = waistline;
      return this;
   }

   public HealthBodyRecord setBloodSugar(final BigDecimal bloodSugar) {
      this.bloodSugar = bloodSugar;
      return this;
   }

   public HealthBodyRecord setBloodFat(final Integer bloodFat) {
      this.bloodFat = bloodFat;
      return this;
   }

   public HealthBodyRecord setBloodPressureHigh(final BigDecimal bloodPressureHigh) {
      this.bloodPressureHigh = bloodPressureHigh;
      return this;
   }

   public HealthBodyRecord setBloodPressureLow(final BigDecimal bloodPressureLow) {
      this.bloodPressureLow = bloodPressureLow;
      return this;
   }

   public HealthBodyRecord setHeartRate(final BigDecimal heartRate) {
      this.heartRate = heartRate;
      return this;
   }

   public HealthBodyRecord setBloodOxygen(final BigDecimal bloodOxygen) {
      this.bloodOxygen = bloodOxygen;
      return this;
   }

   public HealthBodyRecord setUricAcid(final Integer uricAcid) {
      this.uricAcid = uricAcid;
      return this;
   }

   public HealthBodyRecord setBloodPressure(final Integer bloodPressure) {
      this.bloodPressure = bloodPressure;
      return this;
   }

   public HealthBodyRecord setIfLatest(final Integer ifLatest) {
      this.ifLatest = ifLatest;
      return this;
   }

   public HealthBodyRecord setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public HealthBodyRecord setCreateBy(final String createBy) {
      this.createBy = createBy;
      return this;
   }

   public HealthBodyRecord setCreateTime(final LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public HealthBodyRecord setUpdateBy(final String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public HealthBodyRecord setUpdateTime(final LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }

   public HealthBodyRecord setHealthInfoSource(final Integer healthInfoSource) {
      this.healthInfoSource = healthInfoSource;
      return this;
   }

   public HealthBodyRecord setRegisterDate(final LocalDateTime registerDate) {
      this.registerDate = registerDate;
      return this;
   }

   public HealthBodyRecord setCustNum(final String custNum) {
      this.custNum = custNum;
      return this;
   }

   public HealthBodyRecord setCustName(final String custName) {
      this.custName = custName;
      return this;
   }

   public HealthBodyRecord setMobile(final String mobile) {
      this.mobile = mobile;
      return this;
   }

   public HealthBodyRecord setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
      return this;
   }

   public HealthBodyRecord setSex(final Integer sex) {
      this.sex = sex;
      return this;
   }

}
